For the complete documentation index, see llms.txt. This page is also available as Markdown.

Verify Order Status

Use this endpoint to verify the status of an order.

Returns status per order item and delivery (severity and message). Optionally specify productLineUids to verify only selected order lines; omit or send an empty array to verify the entire order.

Required permissions: SALES_ORDER,RETURN_ORDER

post
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/verify
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
Body
productLineUidsstring[]Optional
Responses
200

Example response

application/json
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/verify
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/verify HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 28

{
  "productLineUids": [
    "text"
  ]
}
200

Example response

{
  "orderItems": [
    {
      "severity": "WARNING",
      "message": "text",
      "orderItemUid": "text"
    }
  ],
  "deliveries": [
    {
      "severity": "WARNING",
      "message": "text",
      "orderDeliveryUid": "text"
    }
  ]
}

Last updated

Was this helpful?